Bug 2013088 - The nodes page in the openshift console doesn't work. You just get a blank page
Summary: The nodes page in the openshift console doesn't work. You just get a blank page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.9.z
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
Christopher Tauchen
URL:
Whiteboard:
Depends On: 2011809
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-12 05:03 UTC by OpenShift BugZilla Robot
Modified: 2021-10-29 07:31 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The nodes page is rendered before the list of nodes is available. Consequence: The nodes page crashes if it tries to render without nodes (e.g. before the list is available) and does not recover. Fix: Don't crash if list is empty, wait for a none-empty list and re-render. Result: The page does not crash when it tries to render before the nodes list is available. When the list is available it renders correctly.
Clone Of:
Environment:
Last Closed: 2021-10-26 17:22:42 UTC
Target Upstream Version:
yzamir: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10210 0 None open [release-4.9] Bug 2013088: node page fail 2021-10-12 05:03:52 UTC
Red Hat Product Errata RHBA-2021:3935 0 None None None 2021-10-26 17:23:04 UTC

Comment 3 Yadan Pei 2021-10-14 06:48:27 UTC
PR has been tested and approved before merging, moving to VERIFIED directly

Comment 5 Yaacov Zamir 2021-10-14 18:42:24 UTC
doc text submited

Comment 9 errata-xmlrpc 2021-10-26 17:22:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.9.4 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3935


Note You need to log in before you can comment on or make changes to this bug.